is.timespan {lubridate} | R Documentation

## Is x a length of time?

### Description

Is x a length of time?

### Usage

    is.timespan(x)

### Arguments

`x` | an R object

### Value

TRUE if x is a period, interval, duration, or difftime object, FALSE otherwise.

### See Also

`is.instant()`, `is.duration()`, `is.difftime()`, `is.period()`, `is.interval()`

### Examples

    is.timespan(as.Date("2009-08-03")) # FALSE
    is.timespan(duration(second = 1)) # TRUE

[Package lubridate version 1.7.4 Index]